package com.wisedu.mooc.app.platform.service;

import java.util.List;
import java.util.Map;

import com.wisedu.mooc.app.platform.bo.Unit;
import com.wisedu.mooc.app.platform.bo.UnitItem;

public interface UnitItemService {
	
	List<Unit> queryUnitList();
	
	List<UnitItem> queryItemList(Long unitId);
	
	Unit queryUnitById(Long unitId);
	
	UnitItem queryUnitItemById(Long itemId);
	
	List<Map<String,Object>> queryStudyUnit(Long userId);

	void saveOrUpdateItem(Long unitId, Long itemId,String videoRelativePath, 
			String videoTempPath,String thumbRelativePath, String thumbTempPath,
			String currentVideoPath, String currentThumbPath,String videoFileName);

    void insertUnit(Unit unit);

    void deleteItem(Long itemId);

    void deleteUnit(Long unitId);

    void updateUnit(Long unitId,Unit unit);

    void updateUnitSort(String unitIds,String displayOrders);

    void updateItemSort(Long unitId,Long itemId,String itemChildIds,String displayOrders);
    
    void doUploadFile(Long itemId);

    void updateItem(Long itemId,String itemName);
    
    void updateItem(UnitItem item);
    
}
